# Class ObjectPool

java.lang.Object
org.eclipse.osgi.framework.util.ObjectPool

public class ObjectPool extends Object

## Constructor Summary

Constructors
Constructor
Description
`ObjectPool()`

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`intern(T obj)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectPool

public ObjectPool()

## Method Details

### intern

public static <T> T intern(T obj)